<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd" >
<html style="overflow:hidden">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<meta http-equiv="X-UA-Compatible" content="IE=edge" />
		<title><WC@TITLE>%4 [%3]</WC@TITLE></title>
    	<link rel="icon" href="../../theme/images/images/Census.ico" type="image/ico">

    	<!--MqRelPath--><link rel="stylesheet" type="text/css" href="../../theme/css/censusmain.css"/><!--/MqRelPath--><!--MqAbsPath><link rel="stylesheet" type="text/css" href="<BASE_VD>/theme/css/censusmain.css"/></MqAbsPath-->
		<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.3.0/css/font-awesome.min.css">
  
		<!-- The Order must not be changed. -->
		<!-- Constants scripts -->
		<!--MqRelPath--><script type="text/javascript" src="../../js/mqsysutils.js" ></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/mqsysutils.js" ></script></MqAbsPath-->

		<script type="text/javascript">
			if (g_MqRef.RESX){
				g_MqRef.ResMgr.LoadViewRes("/<WC@CURRENT_VD></WC@CURRENT_VD>/<WC@CURRENT_VIEW></WC@CURRENT_VIEW>");

			}
		</script>
		<!--MqRelPath--><script type="text/javascript" src="../../js/frameconstants.js" ></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/frameconstants.js" ></script></MqAbsPath-->
		<!--MqRelPath--><script type="text/javascript" src="../js/constants.js" ></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/<VIEW_FOLDER>/js/constants.js" ></script></MqAbsPath-->
		<!--MqRelPath--><script type="text/javascript" src="../../js/constantstimeout.js" ></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/constantstimeout.js" ></script></MqAbsPath-->
		
		<!-- Object scripts -->
		<!--MqRelPath--><script type="text/javascript" src="../../js/mqwebsessionurl.js" ></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/mqwebsessionurl.js" ></script></MqAbsPath-->
		<!--MqRelPath--><script type="text/javascript" src="../../js/mqvecwebsession.js" ></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/mqvecwebsession.js" ></script></MqAbsPath-->
		<!--MqRelPath--><script type="text/javascript" src="../../js/window.js" ></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/window.js" ></script></MqAbsPath-->
        <!--MqRelPath--><script type="text/javascript" src="../../js/controlsaction.js" ></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/controlsaction.js" ></script></MqAbsPath-->
		<!--MqRelPath--><script type="text/javascript" src="../../js/controlsui.js" ></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/controlsui.js" ></script></MqAbsPath-->
		<!--MqRelPath--><script type="text/javascript" src="../../js/controlsss.js" ></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/controlsss.js" ></script></MqAbsPath-->
		<!--MqRelPath--><script type="text/javascript" src="../js/frames.js" ></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/<VIEW_FOLDER>/js/frames.js" ></script></MqAbsPath-->
		<!--MqRelPath--><script type="text/javascript" src="../../js/status.js" ></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/status.js" ></script></MqAbsPath-->
		<!--MqRelPath--><script type="text/javascript" src="../../js/features.js" ></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/features.js" ></script></MqAbsPath-->
		<!--MqRelPath--><script type="text/javascript" src="../js/customcode.js" ></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/<VIEW_FOLDER>/js/customcode.js" ></script></MqAbsPath-->
		<!--MqRelPath--><script type="text/javascript" src="../../js/cookies.js" ></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/cookies.js" ></script></MqAbsPath-->
		<!--MqRelPath--><script type="text/javascript" src="../../js/preferences.js" ></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/preferences.js" ></script></MqAbsPath-->
		<!--MqRelPath--><script type="text/javascript" src="../../js/dependentfields.js" ></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/dependentfields.js" ></script></MqAbsPath-->
		<!--MqRelPath--><script type="text/javascript" src="../../js/scc/sourcecodecontrol.js" ></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/scc/sourcecodecontrol.js" ></script></MqAbsPath-->
		<!--MqRelPath--><script type="text/javascript" src="../../js/cmqhttprequest.js" ></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/cmqhttprequest.js" ></script></MqAbsPath-->
		<!--MqRelPath--><script type="text/javascript" src="../../js/cmqsysmsg.js" ></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/cmqsysmsg.js" ></script></MqAbsPath-->
		<!--MqRelPath--><script type="text/javascript" src="../js/cmqworkflowrules.js" ></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/<VIEW_FOLDER>/js/cmqworkflowrules.js" ></script></MqAbsPath-->
		<!--MqRelPath--><script type="text/javascript" src="../../js/cmqrecord.js" ></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/cmqrecord.js" ></script></MqAbsPath-->
		<!--MqRelPath--><script type="text/javascript" src="../../js/scc/errorscc.js" ></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/scc/errorscc.js" ></script></MqAbsPath-->
		<!--MqRelPath--><script type="text/javascript" src="../../js/cmqdialogform.js" ></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/cmqdialogform.js" ></script></MqAbsPath-->
		<!--MqRelPath--><script type="text/javascript" src="../../js/cmqcollectionobjects.js" ></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/cmqcollectionobjects.js" ></script></MqAbsPath-->
		<!--MqRelPath--><script type="text/javascript" src="../../js/cmqstring.js" ></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/cmqstring.js" ></script></MqAbsPath-->
		<!--MqRelPath--><script type="text/javascript" src="../js/mqtabs.js" ></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/<VIEW_FOLDER>/js/mqtabs.js" ></script></MqAbsPath-->
		<!--MqRelPath--><script type="text/javascript" src="../../js/mqformelements.js" ></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/mqformelements.js" ></script></MqAbsPath-->
		<!--MqRelPath--><script type="text/javascript" src="../../js/mqrecordset.js" ></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/mqrecordset.js" ></script></MqAbsPath-->
		<!--MqRelPath--><script type="text/javascript" src="../../js/mqviewfields.js" ></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/mqviewfields.js" ></script></MqAbsPath-->
		<!--MqRelPath--><script type="text/javascript" src="../../js/mqloaddata.js" ></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/mqloaddata.js" ></script></MqAbsPath-->
		<!--MqRelPath--><script type="text/javascript" src="../../js/xml.js" ></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/xml.js" ></script></MqAbsPath-->
		<!--MqRelPath--><script type="text/javascript" src="../../js/mqreportviewer.js" ></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/mqreportviewer.js" ></script></MqAbsPath-->
		<!--MqRelPath--><script type="text/javascript" src="../../js/mqlist.js" ></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/mqlist.js" ></script></MqAbsPath-->
		<!--MqRelPath--><script type="text/javascript" src="../../js/mqvipadptr.js"></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/mqvipadptr.js"></script></MqAbsPath-->
		<!--MqRelPath--><script type="text/javascript" src="../../js/mqchgmgr.js" ></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/mqchgmgr.js" ></script></MqAbsPath-->
		<!--MqRelPath--><script type="text/javascript" src="../../js/cmqrelissue.js"></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/<VIEW_FOLDER>/js/cmqrelissue.js"></script></MqAbsPath-->
		<!--MqRelPath--><script type="text/javascript" src="../../js/initrelissue.js"></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/<VIEW_FOLDER>/js/initrelissue.js"></script></MqAbsPath-->
		<!--MqRelPath--><script type="text/javascript" src="../../js/mqrelissueadptr.js" ></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/mqrelissueadptr.js" ></script></MqAbsPath-->				
		<!--MqRelPath--><script type="text/javascript" src="../../js/MqEmbeddedReport.js" ></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/mqembeddedreport.js" ></script></MqAbsPath-->
		<!--MqRelPath--><script type="text/javascript" src="../../js/mqsetfldvaladptr.js" ></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/mqsetfldvaladptr.js" ></script></MqAbsPath-->				
		<!--MqRelPath--><script type="text/javascript" src="../../js/quicklinks.js"></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/quicklinks.js"></script></MqAbsPath-->
		<!--MqRelPath--><script type="text/javascript" src="../../js/themes.js"></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/themes.js"></script></MqAbsPath-->
		<!--MqRelPath--><script type="text/javascript" src="../../js/mqroleadptr.js" ></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/mqroleadptr.js" ></script></MqAbsPath-->				
		<!--MqRelPath--><script type="text/javascript" src="../../js/mqcondaction.js" ></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/mqcondaction.js" ></script></MqAbsPath-->			
		<!--MqRelPath--><script type="text/javascript" src="../js/reports.js"></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/reports.js"></script></MqAbsPath-->	
		<!--MqRelPath--><script type="text/javascript" src="../../js/MqOpenReportAdptr.js" ></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/MqOpenReportAdptr.js" ></script></MqAbsPath-->
		<!--MqRelPath--><script type="text/javascript" src="../../js/cmqslddmgr.js" ></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/cmqslddmgr.js" ></script></MqAbsPath-->
		<!--MqRelPath--><script type="text/javascript" src="../../js/mqsubmitadptr.js" ></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/mqsubmitadptr.js" ></script></MqAbsPath-->
		<!--MqRelPath--><script type="text/javascript" src="../../js/mqinvasset.js" ></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/mqinvasset.js" ></script></MqAbsPath-->	
		<!--MqRelPath--><script type="text/javascript" src="../../js/cmqlookupitemint.js"></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/cmqlookupitemint.js"></script></MqAbsPath-->
		<!--MqRelPath--><script type="text/javascript" src="../../js/initlookupitemint.js"></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/initlookupitemint.js"></script></MqAbsPath-->
		<!--MqRelPath--><script type="text/javascript" src="../../js/cmqsummarylist.js" ></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/cmqsummarylist.js" ></script></MqAbsPath-->				
		<!--MqRelPath--><script type="text/javascript" src="../../js/mqattachments.js"></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/mqattachments.js" ></script></MqAbsPath-->
		<!--MqRelPath--><script type="text/javascript" src="../../js/cmqfilteredlist.js" ></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/cmqfilteredlist.js" ></script></MqAbsPath-->				
		<!--MqRelPath--><script type="text/javascript" src="../../js/vnreportmanager.js"></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/vnreportmanager.js" ></script></MqAbsPath-->
		<!--MqRelPath--><script type="text/javascript" src="../../js/cmqcommandbar.js" ></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/cmqcommandbar.js" ></script></MqAbsPath-->				
		<!--MqRelPath--><script type="text/javascript" src="../../js/mqcheckinoutext.js"></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/mqcheckinoutext.js" ></script></MqAbsPath-->
		<!--MqRelPath--><script type="text/javascript" src="../../js/mqpurchasesext.js"></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/mqpurchasesext.js" ></script></MqAbsPath-->
		<!--MqRelPath--><script type="text/javascript" src="../../js/vnviewloader.js"></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/vnviewloader.js" ></script></MqAbsPath-->
		<!--MqRelPath--><script type="text/javascript" src="../../js/mqlineitemadptr.js" ></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/mqlineitemadptr.js" ></script></MqAbsPath-->				
		<!--MqRelPath--><script type="text/javascript" src="../../js/mqprintinvadptr.js"></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/mqprintinvadptr.js"></script></MqAbsPath-->				
		<!--MqRelPath--><script type="text/javascript" src="../../js/MqActivityLogVisibleToCustAdptr.js"></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/MqActivityLogVisibleToCustAdptr.js"></script></MqAbsPath-->				
		
		<!--MqRelPath--><link rel="stylesheet" href="../../js/jquery/jquery.ui.all.css"><!--/MqRelPath--><!--MqAbsPath><link rel="stylesheet" href="<BASE_VD>/js/jquery/jquery.ui.all.css"></MqAbsPath-->
		<!--MqRelPath--><script type="text/javascript" src="../../js/jquery/jquery-1.7.1.js"></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/jquery/jquery-1.7.1.js"></script></MqAbsPath-->
		<!--MqRelPath--><script type="text/javascript" src="../../js/jquery/jquery.bgiframe-2.1.2.js"></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/jquery/jquery.bgiframe-2.1.2.js"></MqAbsPath-->
		<!--MqRelPath--><script type="text/javascript" src="../../js/jquery/jquery.ui.core.js"></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/jquery/jquery.ui.core.js"></MqAbsPath-->
		<!--MqRelPath--><script type="text/javascript" src="../../js/jquery/jquery.ui.widget.js"></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/jquery/jquery.ui.widget.js"></script></MqAbsPath-->
		<!--MqRelPath--><script type="text/javascript" src="../../js/jquery/jquery.ui.mouse.js"></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/jquery/jquery.ui.mouse.js"></script></MqAbsPath-->
		<!--MqRelPath--><script type="text/javascript" src="../../js/jquery/jquery.ui.draggable.js"></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/jquery/jquery.ui.draggable.js"></script></MqAbsPath-->
		<!--MqRelPath--><script type="text/javascript" src="../../js/jquery/jquery.ui.position.js"></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/jquery/jquery.ui.position.js"></script></MqAbsPath-->
		<!--MqRelPath--><script type="text/javascript" src="../../js/jquery/jquery.ui.resizable.js"></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/jquery/jquery.ui.resizable.js"></script></MqAbsPath-->
		<!--MqRelPath--><script type="text/javascript" src="../../js/jquery/jquery.ui.dialog.js"></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/jquery/jquery.ui.dialog.js"></script></MqAbsPath-->
		<!--MqRelPath--><script type="text/javascript" src="../../js/VNAssets.js"></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/VNAssets.js"></script></MqAbsPath-->

		<link rel="stylesheet" type="text/css" href="../../js/jquery/bootstrap3.3.7/css/bootstrap.min.css"  />	
		<link rel="stylesheet" type="text/css" href="../../js/jquery/jquery-confirm.min.css"  />	
		<script type="text/javascript" src="../../js/jquery/jquery-confirm.min.js"></script>

		<script type="text/javascript">
			// always define this object for the system messages
			var objSysMsg = new CMqSysMsg();
			var objCookie= new MqCookies();
			var objStatus=new MqStatus();
			var objCustomCode=new MqCustomCode();
			var objControlsUi=new MqControlsUi();	
			var objControlsSs= new MqControlsServerSide();
			var objPref= new MqPreferences();
			var objFeatures=new MqFeatures();
			var objScc= new MqScc();
			var objRequest=new CMqHTTPRequest_js();
			var objDialogForms=new CMqCollectionObjects();			
			var m_objDisplayElements=new CMqDisplayElements();
			var objString=new CMqString();
			var m_objReportViewer;
			var m_objEmbeddedReport = new CMqEmbeddedReport();
			var m_objDefVals = new CMqDefVals();
			var m_varDefVals=m_objDefVals.GetDefVals();
			var m_objCustomSetVals;
			var m_objLookupItemInfoObjects=new Array();
			var m_objMacros=new CMqMacros();
			var m_objLookupItemInfoColl=new Array();
			var m_strMainScreenWidth;
			var m_strMainScreenHeight;
			var m_bPreLoadRecFrm=false;
			var m_blnShowCopyright=true;
			var m_blnShowCloseDlgButton=false;

			function GetDocumentSize(){
				setTimeout('m_strMainScreenWidth = GetDocWidth(); m_strMainScreenHeight = GetDocHeight();',2000);
			}
			//private property refer to the Record form object 			
			var mfrmRecord ;
			
			var m_objLoadDataViewActions =new CMqLoadDataViewActions();
			
			var g_VWS=new VecWebSession();
			var g_VNLibs=window;

			g_VWS.Init(g_MqRef.MqStr.MqDecodeURI("<WC@CURRENT_VD></WC@CURRENT_VD>"), 
							g_MqRef.MqStr.MqDecodeURI("<WC@MAIN_VD></WC@MAIN_VD>"),
							document, this);

			// Backwards compatibility	
			var mstrCurrentVDName="";	
			var mstrBaseVDName="";
			
			if(g_VWS.URL){	
				mstrCurrentVDName=g_VWS.URL().CurrentVDName();
				mstrBaseVDName=g_VWS.URL().BaseVDName();
				objCookie.MainVD=mstrBaseVDName;
			}
			
			objCookie.SetMainCookieValue("<WC@MAIN_COOKIE_VALUE></WC@MAIN_COOKIE_VALUE>");
			
			var m_lngProjID="<WC@CURRENT_PROJ_ID></WC@CURRENT_PROJ_ID>";

			var mstrCurrentViewFolder="<WC@CURRENT_VIEW></WC@CURRENT_VIEW>";
			
			var m_strTheme="../../theme/css/CensusMain.css";
			var m_strTheme1="";
			
			var m_strImagesFolder = "../../theme/images/images/";
			
			var m_strCurrentUser="<WC@USER_NAME></WC@USER_NAME>";
			var m_strCurrentUserID="<WC@USER_ID></WC@USER_ID>";
			var m_strCurrentUserFullName="<WC@USER_FULL_NAME></WC@USER_FULL_NAME>";
			var m_strNumVisibleTabs="<WC@NUM_VISIBLE_TABS></WC@NUM_VISIBLE_TABS>";
			var m_blnSLRefresh_StayOnCurrentPage="<WC@SLREFRESH></WC@SLREFRESH>";
			
			var m_blnCREnabled;
			var m_arrPrevRecVals=new Array();

			var m_objMqButton=new MqButton();
			
			var objFrames=new MqFrames();
			
			var g_objRelIssueCol=new CMqRelIssueCol();
			InitRelIssues(g_objRelIssueCol);
			
			var m_blnSkipHiddenFields=false; //can be set from viewconstants.js
			
			var mblnForceSLRefresh=false;
			
			var mblnRO=false; //can be set from viewconstants.js
    	</script>
		
		<!-- Functions scripts -->
		<!-- The Order must not be changed for the functions scripts -->
		<!--MqRelPath--><script type="text/javascript" src="../../js/Controls.js" ></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/Controls.js" ></script></MqAbsPath-->
		<!--MqRelPath--><script type="text/javascript" src="../../js/State.js" ></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/State.js" ></script></MqAbsPath-->
		<!--MqRelPath--><script type="text/javascript" src="../../js/Censusmain.js"></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/Censusmain.js"></script></MqAbsPath-->
		<!--MqRelPath--><script type="text/javascript" src="../../js/scc/errorSCC.js" ></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/scc/errorSCC.js" ></script></MqAbsPath-->		
		<!--MqRelPath--><script type="text/javascript" src="../Users/Users/MqDefaultValues.js"></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/Users/Users/MqDefaultValues.js"></script></MqAbsPath-->
		<!--MqRelPath--><script type="text/javascript" src="../Users/<WC@USRDEFVAL></WC@USRDEFVAL>/MqDefaultValues.js"></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/Users/<WC@USRDEFVAL></WC@USRDEFVAL>/MqDefaultValues.js"></script></MqAbsPath-->
		<!--MqRelPath--><script type="text/javascript" src="../js/MqBanner.js"></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/<VIEW_FOLDER>/js/MqBanner.js"></script></MqAbsPath-->
		<!--MqRelPath--><script type="text/javascript" src="../js/viewconstants.js" ></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/<VIEW_FOLDER>/js/viewconstants.js" ></script></MqAbsPath-->
		
		<!-- Initialization script --> 
		<script type="text/javascript">
				
			var mstrCurrentLocation=g_MqRef.MqFS.GetCurrentLocation(window);
		
			var Ver4 = parseInt(navigator.appVersion) >= 4;
			var Nav4 = ((navigator.appName == "Netscape") && Ver4);
			var IE4  = ((navigator.userAgent.indexOf("MSIE") != -1) && Ver4);				
			var Ver6=parseInt(navigator.appVersion) >= 5;		
			var Nav6=((navigator.appName == "Netscape") && Ver6);
			objDialogForms.setObjectClassName(DIALOG_FORM_CLASS);
			
			// Initialize fields, load data & worflows. Pass InitDeclaredBizRules for workflow editor-generated rules
			g_VWS.InitFields("<WC@XMLFIELDS></WC@XMLFIELDS>","<WC@REVISION_FIELD_ID></WC@REVISION_FIELD_ID>", m_MqAutoList, 
							m_objDisplayElements, InitDeclaredBizRules);

			// Backwards compatibility			
			var m_objLoadDataMgr=g_VWS.LoadDataMgr();	
			var m_objViewFields= g_VWS.ViewFields();			
			var m_objWorkFlow=g_VWS.WorkflowMgr();
			
			objCustomCode.SetViewFields(g_VWS.ViewFields());

			//no rec, existing rec, new rec
			m_objLoadDataMgr.SetEnFldsPerMode([0,<Mq:EnFlds_Update>,1]);
			m_objLoadDataMgr.SetEnableIfHasValPerMode([1,<Mq:EnIfHasVal_Update>,1]);
			
			m_objLoadDataMgr.SetSkipHiddenFieldsOnSave(m_blnSkipHiddenFields);			
			
			var objRecord = new CMqRecord(this, objControlsSs, objFrames, m_objLoadDataMgr);

			//**** Start WV Attributes *********

			var m_strLoadAnyIssue="<Mq:WVAtt_9>";
			var m_lngSLReloadInterval="<Mq:WVAtt_16>";
			
			var m_blnSkipHiddenFields=false; //can be set from viewconstants.js
			//**** End WV Attributes *********
			
			//**** Start Global Attributes *********
			var m_strFullNameFieldIDs="<Mq:GlblAtt_311>";
			var m_strFullNameFormat="<Mq:GlblAtt_312>";
			var m_strFullNameID=<Mq:GlblAtt_313>;
			
			var m_strHoursStartDateCheck = "<Mq:GlblAtt_415>";
			var m_strEmailPattern = "<Mq:GlblAtt_416>";
			var m_strEmailPatternReplace = "<Mq:GlblAtt_417>";
			var m_strEmailPatternFieldIDs = "<Mq:GlblAtt_419>";
			var m_strLogonNamePattern = "<Mq:GlblAtt_420>";
			var m_strLogonNamePatternReplace = "<Mq:GlblAtt_421>";
			var m_strLogonNamePatternFieldIDs = "<Mq:GlblAtt_422>";
			//**** End Global Attributes *********
			
			mblnIsUserView=<Mq:IsUserView>;
			
			var m_lngLoadAnyIssue=0;
			
			if(DEFAULT_TABS == 0)
			{
				objRecord.Tabs().Visible = false;
			}
			
			if(m_strLoadAnyIssue==WV_ATTRIB_VAL_YES){
				m_lngLoadAnyIssue=1;
			}
			
			var objControls= new MqControlsAction(m_lngLoadAnyIssue, g_VWS.SummaryList());
			
			var False = false;
			var True = true;
			var context; 
			var RecordBeingUpdated = 2;
			var RecordIsNotUpdateable = 0;
			var QueryIsEmpty = 3;
			var strTextAreaValue;
			var timeOutID;
			var AlreadyEditing = 0
			var msg 
			var delay = 600
			var timerId 
			var maxCount = 0
			var currCount = 1
			var cwLoaded = true

			var m_strCheckedFields="";
			var m_strCheckedTests="";
			var m_strCheckedVals="";
			var m_strCheckedRetains="";

			var objVNViewLoader=new VNViewLoader(document, this, window);
			
			//load any views in a few seconds after the main view loads
			window.setTimeout("objVNViewLoader.LoadViews()", 3000);


			function Frameset_OnLoad()
			{				
					
				m_objReportViewer=new CMqReportViewer();
			
				var COOKIE_NUM_VISIBLE_TABS="NumVisibleTabs";
				var strNumVisibleTabs = "<WC@COOKIE_NUM_VISIBLE_TABS></WC@COOKIE_NUM_VISIBLE_TABS>";
				var strFramesetCookieVal = "<WC@COOKIE_FRAMESET></WC@COOKIE_FRAMESET>";				
				
				if (!objFeatures.getFeature(FEATURE_SUBMIT) && !objFeatures.getFeature(FEATURE_FAQ_VIEW)){	
					objCookie.SetCookieProp(objCookie.GetMainCookieName(), COOKIE_NUM_VISIBLE_TABS, strNumVisibleTabs);	
					objCookie.SetCookieProp(objCookie.GetMainCookieName(), COOKIE_FRAMESET, strFramesetCookieVal);
				}
				
				var strUserName=m_strCurrentUser;
				if (!objFeatures.getFeature(FEATURE_NOLONGONSCREEN)){	
					objCookie.SetCookieProp(objCookie.GetMainCookieName(), "CensusLogonInfo", strUserName);
				}
				var oSLSearch=g_VWS.SummaryList().SLSearch();
				if (oSLSearch.FocusOnLoad)
				{
					oSLSearch.SetFocus();
				}
				
				// Pre load the Main Record Form so it loads faster
				if (m_bPreLoadRecFrm)
				{
					objRecord.Preload();
				}
			}
			
			function Frameset_Onresize()
			{



				SetFrameHeights();
				objRecord.Resize();
			}
		
		
			function exit(bSysMsg)
			{
				
				objControlsSs.exit(bSysMsg);
			}
			
			var intMaxRecordPerPage=25;
			
			var intframecount = objFrames.GetCount();
			var arrBusy = new Array(intframecount)
			ResetState();
			
			var intArrayOfFrameSizes = new Array(intframecount);
			
			// Features Init
			var lngFeatures=0;
			lngFeatures=<WC@FEATURES></WC@FEATURES>;
			
			objFeatures.setFeatures(lngFeatures);
			if ((lngFeatures & FEATURE_READONLY)==FEATURE_READONLY){
				objControlsUi.SetReadOnly(true);
			}else{
				if(mblnRO){
					objControlsUi.SetReadOnly(true);
				}
			}
			
			var objTabsMgr= new CMqTabsMgr;

			if(typeof(mblnAllTabsTogether)=="undefined"){
				mblnAllTabsTogether=false;
			}
			
			if (((lngFeatures & FEATURE_TABS)!=FEATURE_TABS) || (document.layers) || (mblnAllTabsTogether)){
				objTabsMgr.SetIsSharedTabSource(false);
			}else{
				objTabsMgr.SetIsSharedTabSource(true);
			}
			
			function HidePopupIFra(strFraName)
			{
				if(!strFraName){
					strFraName="ifraPopupCtnr";
				}
				var objFra=document.getElementById(strFraName);
			
				if(objFra){
					objFra.src="blank.htm";
					objFra.style.visibility="hidden";
				}
			}
			
			var m_objSLInput=new CMqSummaryListInput(objFrames);
			var m_objSLDD;
			
			if(typeof(m_blnDDInSL)!="undefined"){
				if(m_blnDDInSL){
					m_objSLDD=new MqSLDrillDown(this, "<F.ID:Item Level>");
				}
			}else{
				m_blnDDInSL=false;
			}
			var m_objSLMgr=new CMqSummaryListMgr(m_objSLInput, objFrames, m_blnDDInSL, mstrCurrentViewFolder, m_objSLDD, this);
			

			function SetFrameHeights()
			{
				var intBodyHeight;
				var DEFAULT_TABS_HEIGHT = 30;
				if (document.all){
					if (document.documentElement && document.documentElement.offsetHeight){
						intBodyHeight=document.documentElement.offsetHeight;
							}else{
						intBodyHeight=document.body.offsetHeight;
						}
					}else{
						intBodyHeight=window.innerHeight;
					}
					var intSLHeight = DEFAULT_SUMLIST;
					var intRecHeight = DEFAULT_RECORD;
									
					if(intSLHeight==-1){
						intSLHeight=intBodyHeight-DEFAULT_TOPTOOLBAR-DEFAULT_TOOLBAR-DEFAULT_TOOLBARB-10-DEFAULT_SUMLISTHEADER;			
					}
					
				if(intRecHeight==-1){
					if(objRecord.Tabs().Visible==false)
					{
						var recFrame = document.getElementById(RECORD_FRAME_NAME);
						recFrame.style.top = (parseInt(recFrame.style.top) - DEFAULT_TABS_HEIGHT) + "px";
						recFrame.style.borderTopStyle = "solid";
						recFrame.style.borderTopColor = "rgb(204,204,204)";
					}
					intRecHeight=intBodyHeight-75-DEFAULT_TABS-DEFAULT_COMMANDBAR-DEFAULT_LOADDATA;
				}
				
				var arrFrames=new Array(TOPTOOLBAR_FRAME_NAME,TOOLBAR_FRAME_NAME,SQE_FRAME_NAME,TOOLBARB_FRAME_NAME,SUM_LIST_HEADER_FRAME_NAME,SUMMARY_LIST_FRAME_NAME,
											TABS_FRAME_NAME,RECORD_FRAME_NAME,COMMANDBAR_FRAME_NAME,LOADDATA_FRAME_NAME);
				var arrFrameHeights=new Array(DEFAULT_TOPTOOLBAR,DEFAULT_TOOLBAR,0,DEFAULT_TOOLBARB,DEFAULT_SUMLISTHEADER,intSLHeight,
											DEFAULT_TABS,intRecHeight,DEFAULT_COMMANDBAR,DEFAULT_LOADDATA);
				
				for(var x=0; x<arrFrames.length; x++){
					var objFrame=document.getElementById(arrFrames[x]);
					
					if(objFrame){
						objFrame.style.height=arrFrameHeights[x]+"px";
					}
				}
			
			}
		</script>
		
		<!--MqRelPath--><script type="text/javascript" src="../js/customsettings.js"></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/<VIEW_FOLDER>/js/customsettings.js"></script></MqAbsPath-->

	</head>

	<body onload="Frameset_OnLoad()" onunload="objControlsSs.onWindowUnload();" onbeforeunload="return objControlsSs.BeforeExit();" onresize="Frameset_Onresize()">

		<iframe id="ifraPopupCtnr" name="ifraPopupCtnr" src="blank.htm" style="position:absolute;visibility:hidden;width:0px;height:0px;padding:0px;z-index:10;border:2px ridge #BDBECE"></iframe>
		<iframe name="TopToolbar2" id="TopToolbar2" src="TopToolbar.asp?" frameBorder="0" marginWidth="0" marginHeight="0" scrolling="no" style="width: 100%; padding-top:3px;"></iframe>
		<iframe name="ToolBar" id="ToolBar" src="ToolBar.asp?" frameBorder="0" marginWidth="0" marginHeight="0" scrolling="no" style="width: 100%;"></iframe>
		<iframe name="SQE" id="SQE" src="SQE.asp?Simple=1" frameBorder="0" marginWidth="0" marginHeight="0" scrolling="no" style="width: 100%;"></iframe>
		<iframe name="ToolbarB" id="ToolbarB" src="ToolbarB.htm" frameBorder="0" marginWidth="0" marginHeight="0" scrolling="no" style="width: 100%; background-color:rgba(255,255,255,0.75)"></iframe>
		<iframe name="SumListHeader" id="SumListHeader" src="Loading.htm" frameBorder="0" marginWidth="0" marginHeight="0" scrolling="no" style="width: 100%;"></iframe>
		<iframe name="SummaryList" id="SummaryList" src="blank.htm" frameBorder="0" marginWidth="0" marginHeight="0" scrolling="no" style="width: 100%;"></iframe>
		
		
		<!--Mq_WVF_32-->
		<div id='loadRec' name='loadRec' class='<!--!_Mq_WVF_8289-->ui-dialog ui-widget ui-widget-content ui-corner-all PopupRoundedBordersIE ui-draggable <!--/!_Mq_WVF_8289-->MainBackgroundPopup' style='position:absolute;top:0px;left:0px;display:none;overflow:hidden;z-index:1002;'>
			<div id="RecHeader" class="TopToolBarPopup" style="width:99%;margin-right:5px;margin-left:5px;position:absolute;top:0px">
				<table width="100%" class="TopToolBarWizard">
					<tr>
						<td>
							<script type="text/javascript">
								if(typeof(WIZARD_IMG)!="undefined"){
									if(WIZARD_IMG!=""){
										document.write('<img src="' + WIZARD_IMG + '" style="height:75px" \/>');
									}
								}
							</script>
						</td>
						<td valign="top" style="padding-top:15px; padding-left:10px" width="100%">
		            		<div class="WizardTitle" id="wizTitle" name="wizTitle"></div>
		            		<div class="WizardDescription" id="wizDesc" name="wizDesc"></div>
							<div class="DlgCloseBtn" onclick="window.frames['CommandBar'].OnClickClose();" style="margin-top:7px; margin-right:13px;"><i class="fa fa-close"></i></div>
		       		 	</td>
						<td>
							<div id="ExistingIssueButtons" name="ExistingIssueButtons" style="display:none; padding-right:30px;">
								<table>
									<tr>
										<script type="text/javascript">
											if("<Mq_WVA_34>"=="yes"){
												document.write('<td>' + 
																'	<div class="ToolbarButton" id="cmdPrint" name="cmdPrint" onmouseover="this.className=\'ToolbarButton ToolbarButtonHover\'" onmouseout="this.className=\'ToolbarButton\'" onclick="onClickControls(\'Print\');">' + 
																'		<table width="100%" border="0">' + 
																'			<tr>' + 
																'				<td class="ToolbarButtonImg"><img src="../../theme/images/buttons/Reports_off.gif" /></td>' + 
																'			</tr>' + 
																'			<tr>' + 
																'				<td class="ToolbarButton">' + 'Print' + '</td>' + 
																'			</tr>' + 
																'		</table>' + 
																'	</div>' + 
																'</td>');
											}
										</script>

										<WC@SECURED_FEATURE_20>	
										<td>
											<div class="ToolbarButton" id="cmdHistory" name="cmdHistory" onmouseover="this.className='ToolbarButton ToolbarButtonHover'" onmouseout="this.className='ToolbarButton'" onclick="objFrames.GetFrameWindow(TOPTOOLBAR_FRAME_ID).OpenRevHistWindow('wcRevisionHistory.asp?WCI=RevisionHistory','dlgRevHist');">
												<table width="100%" border="0">
													<tr>
														<td class="ToolbarButtonImg"><img src="../../theme/images/buttons/history_off.gif" /></td>
													</tr>
													<tr>
														<td class="ToolbarButton"><script type="text/javascript">document.write(CAPTION_HISTORY_BUTTON);</script></td>
													</tr>
												</table>
											</div>
										</td>
										</WC@SECURED_FEATURE_20>	
										<WC@SECURED_FEATURE_86>	
										<td>
											<div class="ToolbarButton" id="cmdEmailIssue" name="cmdEmailIssue" onmouseover="this.className='ToolbarButton ToolbarButtonHover'" onmouseout="this.className='ToolbarButton'" onclick="objFrames.GetFrameWindow(TOPTOOLBAR_FRAME_ID).MailCurrentIssue();">
												<table width="100%" border="0">
													<tr>
														<td class="ToolbarButtonImg"><img src="../../theme/images/buttons/emailissue_off.gif" /></td>
													</tr>
													<tr>
														<td class="ToolbarButton"><script type="text/javascript">document.write(CAPTION_EMAIL_BUTTON);</script></td>
													</tr>
												</table>
											</div>
										</td>
										</WC@SECURED_FEATURE_86>
										<WC@SECURED_FEATURE_101>	
										<td>
											<div class="ToolbarButton" id="cmdEmailConv" name="cmdEmailConv" onmouseover="this.className='ToolbarButton ToolbarButtonHover'" onmouseout="this.className='ToolbarButton'" onclick="objFrames.GetFrameWindow(TOPTOOLBAR_FRAME_ID).OpenEmailConversationWindow('wcMailInt.ASP?WCI=wciEmailConversation', 'dlgConversation');">
												<table width="100%" border="0">
													<tr>
														<td class="ToolbarButtonImg"><img src="../../theme/images/buttons/emailconversation_off.gif" /></td>
													</tr>
													<tr>
														<td class="ToolbarButton"><script type="text/javascript">document.write(CAPTION_CONVERSATION_BUTTON);</script></td>
													</tr>
												</table>
											</div>
										</td>
										</WC@SECURED_FEATURE_101>
									</tr>
								</table>
							</div>
						</td>
					</tr>
				</table>
			</div>
			<iframe name="Tabs" id="Tabs" src="Tabs.htm" frameBorder="0" marginWidth="0" marginHeight="0" scrolling="no" style="width:99%;margin-left:5px;margin-right:5px;position:absolute;top:103px"></iframe>
			<iframe name="Record" id="Record" src="wcRecord.asp?" frameBorder="0" marginWidth="0" marginHeight="0" scrolling="yes" style="width:99%;margin-bottom:10px;margin-left:5px;margin-right:5px;background-color:#ffffff;border-radius: 4px;border:1px solid #cccccc;border-top:1px transparent;overflow:auto;position:absolute;top:133px"></iframe>
			<iframe name="CommandBar" id="CommandBar" src="wcCmdBar.asp?WCI=wciCommandBar" frameBorder="0" marginWidth="0" marginHeight="0" scrolling="no" style="width:99%;margin-left:5px;margin-right:5px;position:absolute;bottom:5px"></iframe>
			
		</div>
		<!--/Mq_WVF_32-->
		
		<!--!_Mq_WVF_32-->
		<iframe name="Tabs" id="Tabs" src="Tabs.htm" frameBorder="0" marginWidth="0" marginHeight="0" scrolling="no" style="display:none;width:99%;margin-left:5px;margin-right:5px;"></iframe>
		<iframe name="Record" id="Record" src="wcRecord.asp?" frameBorder="0" marginWidth="0" marginHeight="0" scrolling="no" style="width:99%;padding-top:20px;margin-bottom:10px;margin-left:5px;margin-right:5px;background-color:#ffffff;border-radius: 4px;border:1px solid #cccccc;overflow:auto;"></iframe>
		<iframe name="CommandBar" id="CommandBar" src="wcCmdBar.asp?WCI=wciCommandBar" frameBorder="0" marginWidth="0" marginHeight="0" scrolling="no" style="width:99%;margin-left:5px;margin-right:5px"></iframe>

		<!--/!_Mq_WVF_32-->

		<iframe name="LoadData" id="LoadData" src="blank.htm" frameBorder="0" marginWidth="0" marginHeight="0" scrolling="no" style="display:none;width: 100%;"></iframe>			

		
		<script type="text/javascript">
			
			var lngIssueID=-1;
			var strTempID;
			var lngEncIssueID=-1;
			var bsetURL=true;
			
			strTempID=g_MqRef.MqStr.GetQueryStringValue(location.search, "nId");
			if(strTempID!=""){
				lngIssueID=strTempID;
				bsetURL=true;
			}
			
			strTempID=g_MqRef.MqStr.GetQueryStringValue(location.search, "EID");
			if(strTempID!=""){
				lngEncIssueID=strTempID;
				bsetURL=true;
			}
		
			var strTabID=g_MqRef.MqStr.GetQueryStringValue(location.search, "TabID");
			var sLoadDataURL="wcCmdBar.asp?WCI=wciLoadData&nId=" + lngIssueID + "&EID=" + lngEncIssueID + "&ldany=undefined&Tab=" + strTabID;
			if (bsetURL){
				LoadData.location.replace(sLoadDataURL);
			}

			<!--Mq_WVF_32-->
			if(lngIssueID>0){
				objRecord.Load(lngIssueID, null);
			}
			<!--/Mq_WVF_32-->
		</script>
		
		<div id="loadRecOverlay" class="ui-widget-overlay" style="width:100%;height:100%;z-index:1001;"><img src="../../theme/images/images/icon_wait.gif" style="position:absolute; left:50%; top:50%;"/></div>
		<script type="text/javascript">

			
			SetFrameHeights();
			
			if(objFeatures.getFeature(FEATURE_WIZARD_VIEW)){
				m_objLoadDataMgr.SetOnAfterLoad("objRecord.Show();", true);
			}
			document.body.className=MAIN_BG_CLASS;

			var m_strValidViewIDs="<WC@VALID_VIEW_IDS></WC@VALID_VIEW_IDS>";
			var m_lngCurrentViewID="<WC@CURRENT_VIEW_ID></WC@CURRENT_VIEW_ID>";		

			if(mblnShowQuickLinks){
				WriteQuickLinksMenu(m_lngCurrentViewID, m_strValidViewIDs, CURRENT_VIEW_TITLE);				
			}
			
			if(g_MqRef.MqStr.GetQueryStringValue(location.search, "Onboard")=="1"){
				ShowOnboardEmployeeDialog();
			}
			
			if(g_MqRef.MqStr.GetQueryStringValue(location.search, "Terminate")=="1"){
				ShowTerminateEmployeesDialog();
			}
			if(g_MqRef.MqStr.GetQueryStringValue(location.search, "CurrentApp")=="1"){
				ShowCurrentAppraisalDialog();
			}
			
			if(g_MqRef.MqStr.GetQueryStringValue(location.search, "TabID")!=""){
				GoToRightTab();
			}

			function ToggleFilterBy()
			{
				var objFilterBox=parent.document.getElementById("filterByBox");
				
				if(objFilterBox){
					if(objFilterBox.style.display=="none"){
						objFilterBox.style.display="";
					}else{
						objFilterBox.style.display="none";
					}
				}
			}
			
			function ToggleFilterUI(blnOver, objFrame)
			{
				if(objFrame){
					var objFilterBox=parent.document.getElementById("filterByBox");
				
					if(objFilterBox){
						if(objFilterBox.style.display=="none"){
							if(blnOver){
								objFrame.className="searchSideBar searchSideBarHover";
							}else{
								objFrame.className="searchSideBar";	
							}
						}else{
							objFrame.className="searchSideBar";					
						}
					}
				}
			}

			function ShowOnboardEmployeeDialog()
			{
				if(objFrames){
	                var winSummaryList=objFrames.GetFrameWindow(SUMMARY_LIST_FRAME_ID);
	        
	                if (winSummaryList){
						if(winSummaryList.AddNewEmployee){
							winSummaryList.AddNewEmployee();
						}else{
							window.setTimeout("ShowOnboardEmployeeDialog()", 50);
						}
					}else{
						window.setTimeout("ShowOnboardEmployeeDialog()", 50);
					}
				}else{
					window.setTimeout("ShowOnboardEmployeeDialog()", 50);
				}
			}

			function ShowTerminateEmployeesDialog()
			{
				if(objFrames){
	                var winSummaryList=objFrames.GetFrameWindow(SUMMARY_LIST_FRAME_ID);
	        
	                if (winSummaryList){
						if(winSummaryList.TerminateEmployees){
							winSummaryList.TerminateEmployees();
						}else{
							window.setTimeout("ShowTerminateEmployeesDialog()", 50);
						}
					}else{
						window.setTimeout("ShowTerminateEmployeesDialog()", 50);
					}
				}else{
					window.setTimeout("ShowTerminateEmployeesDialog()", 50);
				}
			}

			function ShowCurrentAppraisalDialog()
			{	
				if(objFrames){
	                var winSummaryList=objFrames.GetFrameWindow(SUMMARY_LIST_FRAME_ID);
	        
	                if (winSummaryList){
						if(winSummaryList.EditAppraisalInfo){
							var lngCurrentAppraisalID=GetCurrentAppraisalID();
							if(lngCurrentAppraisalID>0){
								winSummaryList.EditAppraisalInfo(lngCurrentAppraisalID);
							}
						}else{
							window.setTimeout("ShowCurrentAppraisalDialog()", 50);
						}
					}else{
						window.setTimeout("ShowCurrentAppraisalDialog()", 50);
					}
				}else{
					window.setTimeout("ShowCurrentAppraisalDialog()", 50);
				}
			}
			
			function GetCurrentAppraisalID()
			{
				var lngAppraisalID=0;
				
				var co = objRequest.Get(mstrCurrentLocation + "../ASP/GetCurrentAppraisal.asp?Emp=" + m_strCurrentUserID + "&Days=60");
				if (co!=objRequest.CANCEL_PROCESS){

					var objResponse=objRequest.Response(co);
												
					if (objResponse){
						if (objResponse.HasErrors()){
							objResponse.ProcessErrors("",true,window);
						}else{
							lngAppraisalID=co;
						}
					}
				}
				
				return lngAppraisalID;
			}
			
			function GoToRightTab()
			{		
				if(objTabsMgr){
					if(objFrames){
						var winTabs=objFrames.GetFrameWindow(TABS_FRAME_ID);
						
						if(winTabs){
							var strQSTabID=g_MqRef.MqStr.GetQueryStringValue(location.search, "TabID");
							if(strQSTabID){
								var lngTabID=Number(strQSTabID);
								var objTab=objTabsMgr.GetTabFromID(lngTabID);
								if (objTab){						
									objTabsMgr.OnTabClick(lngTabID);
								}
							}
						}else{
							setTimeout("GoToRightTab()", 50);
						}
					}else{
						setTimeout("GoToRightTab()", 50);
					}
				}
			}
			GetDocumentSize();
			
			
		</script>
		
		<script type="text/javascript">
			document.write('<div class="' + COPYRIGHT_CLASS + '">');
			
			document.write("<div id='dvCopyright' style='display:none'>" + g_MqRef.RESX['MSG_COPYRIGHT'] + '</div>');
				
			document.write("<div id='dvCloseBtn' style='display:none'>");
			m_objMqButton.WriteTextButtonHTML("Close", g_MqRef.RESX["BUTTON_CLOSE"], 'parent.objVNViewLoader.HideView();', "", 32, "", g_MqRef.RESX["BUTTON_CLOSE"], 90);
			document.write('</div>');
			
			document.write("</div>");
		
			function ToggleBottomUI()
			{
				var objCopyright=document.getElementById("dvCopyright");
				var objCloseBtn=document.getElementById("dvCloseBtn");
				
				if(objCopyright){
					if(m_blnShowCopyright){
						objCopyright.style.display="";
					}else{
						objCopyright.style.display="none";
					}
				}
				
				if(objCloseBtn){
					if(m_blnShowCloseDlgButton){
						objCloseBtn.style.display="";
					}else{
						objCloseBtn.style.display="none";
					}
				}
			}
			
			ToggleBottomUI();

		</script>
		
		<div id="qryListTop" name="qryListTop" class="queryListTop" style="display:none"><img src="../../theme/images/images/menutop.png" /></div>
		<div id="qryListFrame" name="qryListFrame" class="queryListFrame" style="display:none">
			<div id="qryList" name="qryList" class="queryList" style="display:none;"></div>
		</div>

		<div style="display: none">
			<div id="dialog-modal" style="width:100%;height:100%;padding:0px;margin:0px;overflow:hidden">
				<iframe id="dialog-modal-url" width="100%" height="100%" marginWidth="0" marginHeight="0" frameBorder="0" scrolling="no"></iframe>
			</div>
			<div id="dialog-modal-orig-width" name="dialog-modal-orig-width" style="display:none"></div>
			<div id="dialog-modal-orig-height" name="dialog-modal-orig-height" style="display:none"></div>
		</div>

		<div id="dvBanner" name="dvBanner" style="display:none;position:absolute; border:5px solid #666666; -webkit-border-radius:4px 4px 4px 4px;-moz-border-radius:4px 4px 4px 4px;	border-radius:4px 4px 4px 4px;z-index:1010; background:#fafad2; padding-bottom:10px; padding-left: 10px;margin-top:40px" class="NormalText"></div>

		<div id="loadedViews"></div>
	</body>
</html>
